Update Banked Item
curl --request PUT \
--url https://api.decodahealth.com/inventory/banked-items/{banked_item_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"quantity": 123,
"quantityRemaining": 123,
"comment": "<string>"
}
'import requests
url = "https://api.decodahealth.com/inventory/banked-items/{banked_item_id}"
payload = {
"quantity": 123,
"quantityRemaining": 123,
"comment": "<string>"
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({quantity: 123, quantityRemaining: 123, comment: '<string>'})
};
fetch('https://api.decodahealth.com/inventory/banked-items/{banked_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemId": "<string>",
"patientId": "<string>",
"quantity": 123,
"quantityRemaining": 123,
"id": "<string>",
"createdByChargeItemId": "<string>",
"comment": "<string>",
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT",
"externalId": "<string>",
"exemptedTaxIds": [
"<string>"
],
"cost": 123
},
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
Update Banked Item
Update quantity and quantity_remaining of a banked item.
PUT
/
inventory
/
banked-items
/
{banked_item_id}
Update Banked Item
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Response
Successful Response
Item ID that was banked
Patient ID who purchased the item
Total quantity banked
Quantity still available
Unique identifier for the banked item
Charge item ID that created this banked item
Optional comment about this banked item
Details of the item
Show child attributes
Show child attributes
Date the item was banked (auto-set if not provided)
Date the item was updated
⌘I
